Kerbal Space Program - Bug #3377

Kerbal Stuck in Command seat purgator
10/18/2014 12:46 PM - bigorangemachine

Status: Closed Start date: 10/18/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.25 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

My Kerbals got stuck in their command seats. When you get a kerbal into one of the empty command seats you can move the
bugged 'Kerban Rover 4'. The bugged kerbals 'walk' in their seats. Otherwise the two kerbals are glitched inside their seats. |
loaded back into this area (not sure which vehicle) but when | returned to 'Kerban Rover 4' | was unable to anything with the vehicle.
You can dock with it normally. You can attach a new driver. But the two kerbals are essentially lost unless | do a recovery.

Attached is my save file. Look at 'Kerban Rover 4' near the tracking station. Stock game

History

#1 - 10/18/2014 01:00 PM - bigorangemachine

Following Steps outlined here(
http:/forum.kerbalspaceprogram.com/threads/75586-Master-Thread-Unresponsive-Kerbals-in-EVA?p=1072667 &viewfull=1#post1072667):

The Part in the post:

MODULE {

name = KerbalEVA
isEnabled = True
state = Ragdoll

My 'state’ was: state = Idle (Grounded)

Changing 'state' to: state = Seated (Command)

Made them work again.

The Summary of the Post that fixed the issue:

Do a file Edit of the 'Vessel' (in my case Kerban Rover 4).

Find the Part that's name is 'kerbalEVA' (crew will equal the bugged Kerbal)
Under that Parts 'Module' there is a module with a name of 'KerbalEVA'

That Module will have a state of something undesired (Maybe Ragdoll or Idle (Grounded))
Change that state to something desirable (in my case Seated (Command))

#2 - 10/20/2014 10:04 AM - bigorangemachine

Colliding a Kerbal with a seated Kerbal causes this issue!

#4 - 05/21/2015 03:46 PM - Ezriilc
- File Kerbal is stuck.sfs added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Seems to be caused by impact to the Kerbal. Controls still work "normally”, but the Kerbal is seen walking in the seat.

If the Kerbal is then ejected from the craft, they cannot move or do anything. I've attached a save file in this state.

#5 - 11/21/2015 10:59 AM - sal_vager
http://forum.kerbalspaceprogram.com/threads/75586-Master-Thread-Unresponsive-Kerbals-in-EVA?p=1072667&viewfull=1#post1072667

- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Fixed in the current build 1028, thanks for the report bigorangemachine :)

#6 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed

Files
persistent.zip 531 KB 10/18/2014 bigorangemachine
Kerbal is stuck.sfs 208 KB 05/21/2015 Ezriilc
